import ColorCollection from './color-collection';
import Plugin from './interfaces/plugin';
import { PluginInfo } from './plugin-manager';
import { ImportPluginConfig } from './interfaces/importer';
import { UrlGeneratorPluginConfig } from './interfaces/url-generator';
export interface ColorGlueConfig {
    importers: (string | ImportPluginConfig)[];
    urlGenerators: (string | UrlGeneratorPluginConfig)[];
}
export interface ColorGlueResult {
    colors: ColorCollection;
    urls: URL[];
}
export default class ColorGlue {
    #private;
    constructor(plugins: Plugin[], config: ColorGlueConfig);
    appendImporterConfig(config: string | ImportPluginConfig): void;
    appendUrlGeneratorConfig(config: string | UrlGeneratorPluginConfig): void;
    importColors(): Promise<ColorCollection>;
    generateUrls(colors: ColorCollection): Promise<URL[]>;
    run(): Promise<ColorGlueResult>;
    registerPlugin(plugin: Plugin): void;
    getPluginsInfo(): PluginInfo[];
}
