import Plugin from './interfaces/plugin';
import ImporterPlugin from './interfaces/importer';
import UrlGeneratorPlugin from './interfaces/url-generator';
export interface PluginInfo {
    configKey: string;
    displayName: string;
    isImporter: boolean;
    isUrlGenerator: boolean;
}
export default class PluginManager {
    #private;
    registerPlugin(plugin: Plugin): void;
    getImporterPlugin(configKey: string): ImporterPlugin | undefined;
    getUrlGeneratorPlugin(configKey: string): UrlGeneratorPlugin | undefined;
    getPluginsInfo(): PluginInfo[];
}
