"use strict";
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
};
var _availablePlugins;
Object.defineProperty(exports, "__esModule", { value: true });
function isImporterPlugin(plugin) {
    return plugin.import !== undefined && typeof plugin.import === 'function';
}
function isUrlGeneratorPlugin(plugin) {
    return plugin.generateUrl !== undefined && typeof plugin.generateUrl === 'function';
}
class PluginManager {
    constructor() {
        _availablePlugins.set(this, new Map());
    }
    registerPlugin(plugin) {
        __classPrivateFieldGet(this, _availablePlugins).set(plugin.configKey, plugin);
    }
    getImporterPlugin(configKey) {
        const plugin = __classPrivateFieldGet(this, _availablePlugins).get(configKey);
        if (plugin !== undefined && isImporterPlugin(plugin)) {
            return plugin;
        }
    }
    getUrlGeneratorPlugin(configKey) {
        const plugin = __classPrivateFieldGet(this, _availablePlugins).get(configKey);
        if (plugin !== undefined && isUrlGeneratorPlugin(plugin)) {
            return plugin;
        }
    }
    getPluginsInfo() {
        return [...__classPrivateFieldGet(this, _availablePlugins).values()].map(plugin => ({
            configKey: plugin.configKey,
            displayName: plugin.displayName,
            isImporter: isImporterPlugin(plugin),
            isUrlGenerator: isUrlGeneratorPlugin(plugin),
        }));
    }
}
exports.default = PluginManager;
_availablePlugins = new WeakMap();
//# sourceMappingURL=plugin-manager.js.map