"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ContrastGridPlugin {
    get configKey() {
        return 'contrast-grid';
    }
    get displayName() {
        return 'EightShapes Contrast Grid';
    }
    generateUrl(colors) {
        const url = new URL('http://contrast-grid.eightshapes.com/');
        const namedColors = colors.getNamedColors();
        const colorParam = [
            ...Object.keys(namedColors).map(name => {
                const colorVal = namedColors[name].hex();
                return `${colorVal},${name}`;
            }),
            ...colors.getAnonymousColors().map(color => color.hex())
        ].join("\n");
        url.searchParams.append('background-colors', '');
        url.searchParams.append('foreground-colors', colorParam);
        url.searchParams.append('es-color-form__tile-size', 'compact');
        return url;
    }
}
exports.default = ContrastGridPlugin;
//# sourceMappingURL=contrast-grid.js.map