"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ContrastPlugin {
    get configKey() {
        return 'contrast';
    }
    get displayName() {
        return 'Christopher Geary\'s Contrast Tool';
    }
    generateUrl(colors) {
        const url = new URL('https://contrast.crgeary.com/');
        const namedColors = colors.getNamedColors();
        const colorList = [
            ...Object.keys(namedColors).map(name => {
                const colorVal = namedColors[name].hex();
                return `${colorVal.substr(1)}`;
            }),
            ...colors.getAnonymousColors().map(color => color.hex().substr(1))
        ].join(",");
        url.hash = colorList;
        return url;
    }
}
exports.default = ContrastPlugin;
//# sourceMappingURL=contrast.js.map